Skip to main content
GET
/
share-of-voice
Get share of voice
curl --request GET \
  --url https://mentioned.to/api/v1/share-of-voice \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "results": [
      {
        "competitor_id": 123,
        "competitor_name": "<string>",
        "total_mentions": 123,
        "subreddit_breakdown": [
          {
            "subreddit": "<string>",
            "mentions": 123
          }
        ],
        "posts": [
          {
            "id": 123,
            "title": "<string>",
            "link": "<string>",
            "snippet": "<string>",
            "subreddit": "<string>",
            "score": 123,
            "num_comments": 123,
            "date": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ],
    "total_mentions": 123,
    "date_range": {
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

API key from Settings > API. Format: rm_live_xxx

Query Parameters

start_date
string<date>

Start date (ISO 8601 format)

Example:

"2025-01-01"

end_date
string<date>

End date (ISO 8601 format)

Example:

"2025-01-31"

Response

Successful response

data
object